<mamecheat version="1">

  <cheat desc="Infinite Fuel">
    <script state="run">
      <action>maincpu.pw@CCDB=1919</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@1FA7</action>
      <action>temp1 =maincpu.mb@1FCA</action>
      <action>temp2 =maincpu.mb@2383</action>
    </script>
    <script state="run">
      <action>maincpu.mb@1FA7=A9</action>
      <action>maincpu.mb@1FCA=CC</action> <!-- 1st + 2nd = Fire -->
      <action>maincpu.mb@2383=85</action> <!-- Enemy -->
    </script>
    <script state="off">
      <action>maincpu.mb@1FA7=temp0 </action>
      <action>maincpu.mb@1FCA=temp1 </action>
      <action>maincpu.mb@2383=temp2 </action>
    </script>
  </cheat>

  <cheat desc="Laser never overheats">
    <script state="run">
      <action>maincpu.pw@CD4A=0000</action>
    </script>
  </cheat>

  <cheat desc="Warp always available">
    <script state="run">
      <action>maincpu.pb@CCF3=FF</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@CCEE=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@CCEF=05</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
